package com.chimerapps.discovery.device.idevice

@Suppress("EnumEntryName")
enum class IDeviceType(val productType: String, val fullName: String, val simpleName: String) {
    iPhone1_1("iPhone1,1", "iPhone", "iPhone"),
    iPhone1_2("iPhone1,2", "iPhone 3G", "iPhone 3G"),
    iPhone2_1("iPhone2,1", "iPhone 3GS", "iPhone 3GS"),
    iPhone3_1("iPhone3,1", "iPhone 4", "iPhone 4"),
    iPhone3_2("iPhone3,2", "iPhone 4 GSM Rev A", "iPhone 4"),
    iPhone3_3("iPhone3,3", "iPhone 4 CDMA", "iPhone 4"),
    iPhone4_1("iPhone4,1", "iPhone 4S", "iPhone 4S"),
    iPhone5_1("iPhone5,1", "iPhone 5 (GSM)", "iPhone 5"),
    iPhone5_2("iPhone5,2", "iPhone 5 (GSM+CDMA)", "iPhone 5"),
    iPhone5_3("iPhone5,3", "iPhone 5C (GSM)", "iPhone 5C"),
    iPhone5_4("iPhone5,4", "iPhone 5C (Global)", "iPhone 5C"),
    iPhone6_1("iPhone6,1", "iPhone 5S (GSM)", "iPhone 5S"),
    iPhone6_2("iPhone6,2", "iPhone 5S (Global)", "iPhone 5S"),
    iPhone7_1("iPhone7,1", "iPhone 6 Plus", "iPhone 6 Plus"),
    iPhone7_2("iPhone7,2", "iPhone 6", "iPhone 6"),
    iPhone8_1("iPhone8,1", "iPhone 6s", "iPhone 6s"),
    iPhone8_2("iPhone8,2", "iPhone 6s Plus", "iPhone 6s Plus"),
    iPhone8_4("iPhone8,4", "iPhone SE (GSM)", "iPhone SE"),
    iPhone9_1("iPhone9,1", "iPhone 7", "iPhone 7"),
    iPhone9_2("iPhone9,2", "iPhone 7 Plus", "iPhone 7 Plus"),
    iPhone9_3("iPhone9,3", "iPhone 7", "iPhone 7"),
    iPhone9_4("iPhone9,4", "iPhone 7 Plus", "iPhone 7 Plus"),
    iPhone10_1("iPhone10,1", "iPhone 8", "iPhone 8"),
    iPhone10_2("iPhone10,2", "iPhone 8 Plus", "iPhone 8 Plus"),
    iPhone10_3("iPhone10,3", "iPhone X Global", "iPhone X"),
    iPhone10_4("iPhone10,4", "iPhone 8", "iPhone 8"),
    iPhone10_5("iPhone10,5", "iPhone 8 Plus", "iPhone 8 Plus"),
    iPhone10_6("iPhone10,6", "iPhone X GSM", "iPhone X"),
    iPhone11_2("iPhone11,2", "iPhone XS", "iPhone XS"),
    iPhone11_4("iPhone11,4", "iPhone XS Max", "iPhone XS Max"),
    iPhone11_6("iPhone11,6", "iPhone XS Max Global", "iPhone XS Max"),
    iPhone11_8("iPhone11,8", "iPhone XR", "iPhone XR"),
    iPhone12_1("iPhone12,1", "iPhone 11", "iPhone 11"),
    iPhone12_3("iPhone12,3", "iPhone 11 Pro", "iPhone 11 Pro"),
    iPhone12_5("iPhone12,5", "iPhone 11 Pro Max", "iPhone 11 Pro Max"),
    iPhone12_8("iPhone12,8", "iPhone SE 2nd Gen", "iPhone SE 2nd Gen"),
    iPhone13_1("iPhone13,1", "iPhone 12 Mini", "iPhone 12 Mini"),
    iPhone13_2("iPhone13,2", "iPhone 12", "iPhone 12"),
    iPhone13_3("iPhone13,3", "iPhone 12 Pro", "iPhone 12 Pro"),
    iPhone13_4("iPhone13,4", "iPhone 12 Pro Max", "iPhone 12 Pro Max"),
    iPhone14_2("iPhone14,2", "iPhone 13 Pro", "iPhone 13 Pro"),
    iPhone14_3("iPhone14,3", "iPhone 13 Pro Max", "iPhone 13 Pro Max"),
    iPhone14_4("iPhone14,4", "iPhone 13 Mini", "iPhone 13 Mini"),
    iPhone14_5("iPhone14,5", "iPhone 13", "iPhone 13"),
    iPhone14_6("iPhone14,6", "iPhone SE 3rd Gen", "iPhone SE 3rd Gen"),

    iPod1_1("iPod1,1", "1st Gen iPod", "iPod"),
    iPod2_1("iPod2,1", "2nd Gen iPod", "iPod"),
    iPod3_1("iPod3,1", "3rd Gen iPod", "iPod"),
    iPod4_1("iPod4,1", "4th Gen iPod", "iPod"),
    iPod5_1("iPod5,1", "5th Gen iPod", "iPod"),
    iPod7_1("iPod7,1", "6th Gen iPod", "iPod"),
    iPod9_1("iPod9,1", "7th Gen iPod", "iPod"),

    iPad1_1("iPad1,1", "iPad", "iPad"),
    iPad1_2("iPad1,2", "iPad 3G", "iPad 3G"),
    iPad2_1("iPad2,1", "2nd Gen iPad", "2nd Gen iPad"),
    iPad2_2("iPad2,2", "2nd Gen iPad GSM", "2nd Gen iPad GSM"),
    iPad2_3("iPad2,3", "2nd Gen iPad CDMA", "2nd Gen iPad CDMA"),
    iPad2_4("iPad2,4", "2nd Gen iPad New Revision", "2nd Gen iPad New Revision"),
    iPad3_1("iPad3,1", "3rd Gen iPad", "3rd Gen iPad"),
    iPad3_2("iPad3,2", "3rd Gen iPad CDMA", "3rd Gen iPad CDMA"),
    iPad3_3("iPad3,3", "3rd Gen iPad GSM", "3rd Gen iPad GSM"),
    iPad2_5("iPad2,5", "iPad mini", "iPad mini"),
    iPad2_6("iPad2,6", "iPad mini GSM+LTE", "iPad mini GSM+LTE"),
    iPad2_7("iPad2,7", "iPad mini CDMA+LTE", "iPad mini CDMA+LTE"),
    iPad3_4("iPad3,4", "4th Gen iPad", "4th Gen iPad"),
    iPad3_5("iPad3,5", "4th Gen iPad GSM+LTE", "4th Gen iPad GSM+LTE"),
    iPad3_6("iPad3,6", "4th Gen iPad CDMA+LTE", "4th Gen iPad CDMA+LTE"),
    iPad4_1("iPad4,1", "iPad Air (WiFi)", "iPad Air (WiFi)"),
    iPad4_2("iPad4,2", "iPad Air (GSM+CDMA)", "iPad Air (GSM+CDMA)"),
    iPad4_3("iPad4,3", "1st Gen iPad Air (China)", "1st Gen iPad Air (China)"),
    iPad4_4("iPad4,4", "iPad mini Retina (WiFi)", "iPad mini Retina (WiFi)"),
    iPad4_5("iPad4,5", "iPad mini Retina (GSM+CDMA)", "iPad mini Retina (GSM+CDMA)"),
    iPad4_6("iPad4,6", "iPad mini Retina (China)", "iPad mini Retina (China)"),
    iPad4_7("iPad4,7", "iPad mini 3 (WiFi)", "iPad mini 3 (WiFi)"),
    iPad4_8("iPad4,8", "iPad mini 3 (GSM+CDMA)", "iPad mini 3 (GSM+CDMA)"),
    iPad4_9("iPad4,9", "iPad Mini 3 (China)", "iPad Mini 3 (China)"),
    iPad5_1("iPad5,1", "iPad mini 4 (WiFi)", "iPad mini 4 (WiFi)"),
    iPad5_2("iPad5,2", "4th Gen iPad mini (WiFi+Cellular)", "4th Gen iPad mini (WiFi+Cellular)"),
    iPad5_3("iPad5,3", "iPad Air 2 (WiFi)", "iPad Air 2 (WiFi)"),
    iPad5_4("iPad5,4", "iPad Air 2 (Cellular)", "iPad Air 2 (Cellular)"),
    iPad6_3("iPad6,3", "iPad Pro (9.7 inch, WiFi)", "iPad Pro (9.7 inch, WiFi)"),
    iPad6_4("iPad6,4", "iPad Pro (9.7 inch, WiFi+LTE)", "iPad Pro (9.7 inch, WiFi+LTE)"),
    iPad6_7("iPad6,7", "iPad Pro (12.9 inch, WiFi)", "iPad Pro (12.9 inch, WiFi)"),
    iPad6_8("iPad6,8", "iPad Pro (12.9 inch, WiFi+LTE)", "iPad Pro (12.9 inch, WiFi+LTE)"),
    iPad6_11("iPad6,11", "iPad (2017)", "iPad (2017)"),
    iPad6_12("iPad6,12", "iPad (2017)", "iPad (2017)"),
    iPad7_1("iPad7,1", "iPad Pro 2nd Gen (WiFi)", "iPad Pro 2nd Gen (WiFi)"),
    iPad7_2("iPad7,2", "iPad Pro 2nd Gen (WiFi+Cellular)", "iPad Pro 2nd Gen (WiFi+Cellular)"),
    iPad7_3("iPad7,3", "iPad Pro 10.5-inch 2nd Gen", "iPad Pro 10.5-inch 2nd Gen"),
    iPad7_4("iPad7,4", "iPad Pro 10.5-inch 2nd Gen", "iPad Pro 10.5-inch 2nd Gen"),
    iPad7_5("iPad7,5", "iPad 6th Gen (WiFi)", "iPad 6th Gen (WiFi)"),
    iPad7_6("iPad7,6", "iPad 6th Gen (WiFi+Cellular)", "iPad 6th Gen (WiFi+Cellular)"),
    iPad7_11("iPad7,11", "iPad 7th Gen 10.2-inch (WiFi)", "iPad 7th Gen 10.2-inch (WiFi)"),
    iPad7_12("iPad7,12", "iPad 7th Gen 10.2-inch (WiFi+Cellular)", "iPad 7th Gen 10.2-inch (WiFi+Cellular)"),
    iPad8_1("iPad8,1", "iPad Pro 11 inch 3rd Gen (WiFi)", "iPad Pro 11 inch 3rd Gen (WiFi)"),
    iPad8_2("iPad8,2", "iPad Pro 11 inch 3rd Gen (1TB, WiFi)", "iPad Pro 11 inch 3rd Gen (1TB, WiFi)"),
    iPad8_3("iPad8,3", "iPad Pro 11 inch 3rd Gen (WiFi+Cellular)", "iPad Pro 11 inch 3rd Gen (WiFi+Cellular)"),
    iPad8_4("iPad8,4", "iPad Pro 11 inch 3rd Gen (1TB, WiFi+Cellular)", "iPad Pro 11 inch 3rd Gen (1TB, WiFi+Cellular)"),
    iPad8_5("iPad8,5", "iPad Pro 12.9 inch 3rd Gen (WiFi)", "iPad Pro 12.9 inch 3rd Gen (WiFi)"),
    iPad8_6("iPad8,6", "iPad Pro 12.9 inch 3rd Gen (1TB, WiFi)", "iPad Pro 12.9 inch 3rd Gen (1TB, WiFi)"),
    iPad8_7("iPad8,7", "iPad Pro 12.9 inch 3rd Gen (WiFi+Cellular)", "iPad Pro 12.9 inch 3rd Gen (WiFi+Cellular)"),
    iPad8_8("iPad8,8", "iPad Pro 12.9 inch 3rd Gen (1TB, WiFi+Cellular)", "iPad Pro 12.9 inch 3rd Gen (1TB, WiFi+Cellular)"),
    iPad8_9("iPad8,9", "iPad Pro 11 inch 4th Gen (WiFi)", "iPad Pro 11 inch 4th Gen (WiFi)"),
    iPad8_10("iPad8,10", "iPad Pro 11 inch 4th Gen (WiFi+Cellular)", "iPad Pro 11 inch 4th Gen (WiFi+Cellular)"),
    iPad8_11("iPad8,11", "iPad Pro 12.9 inch 4th Gen (WiFi)", "iPad Pro 12.9 inch 4th Gen (WiFi)"),
    iPad8_12("iPad8,12", "iPad Pro 12.9 inch 4th Gen (WiFi+Cellular)", "iPad Pro 12.9 inch 4th Gen (WiFi+Cellular)"),
    iPad11_1("iPad11,1", "iPad mini 5th Gen (WiFi)", "iPad mini 5th Gen (WiFi)"),
    iPad11_2("iPad11,2", "iPad mini 5th Gen", "iPad mini 5th Gen"),
    iPad11_3("iPad11,3", "iPad Air 3rd Gen (WiFi)", "iPad Air 3rd Gen (WiFi)"),
    iPad11_4("iPad11,4", "iPad Air 3rd Gen", "iPad Air 3rd Gen"),
    iPad11_6("iPad11,6", "iPad 8th Gen (WiFi)", "iPad 8th Gen (WiFi)"),
    iPad11_7("iPad11,7", "iPad 8th Gen (WiFi+Cellular)", "iPad 8th Gen (WiFi+Cellular)"),
    iPad12_1("iPad12,1", "iPad 9th Gen (WiFi)", "iPad 9th Gen (WiFi)"),
    iPad12_2("iPad12,2", "iPad 9th Gen (WiFi+Cellular)", "iPad 9th Gen (WiFi+Cellular)"),
    iPad14_1("iPad14,1", "iPad mini 6th Gen (WiFi)", "iPad mini 6th Gen (WiFi)"),
    iPad14_2("iPad14,2", "iPad mini 6th Gen (WiFi+Cellular)", "iPad mini 6th Gen (WiFi+Cellular)"),
    iPad13_1("iPad13,1", "iPad Air 4th Gen (WiFi)", "iPad Air 4th Gen (WiFi)"),
    iPad13_2("iPad13,2", "iPad Air 4th Gen (WiFi+Cellular)", "iPad Air 4th Gen (WiFi+Cellular)"),
    iPad13_4("iPad13,4", "iPad Pro 11 inch 5th Gen", "iPad Pro 11 inch 5th Gen"),
    iPad13_5("iPad13,5", "iPad Pro 11 inch 5th Gen", "iPad Pro 11 inch 5th Gen"),
    iPad13_6("iPad13,6", "iPad Pro 11 inch 5th Gen", "iPad Pro 11 inch 5th Gen"),
    iPad13_7("iPad13,7", "iPad Pro 11 inch 5th Gen", "iPad Pro 11 inch 5th Gen"),
    iPad13_8("iPad13,8", "iPad Pro 12.9 inch 5th Gen", "iPad Pro 12.9 inch 5th Gen"),
    iPad13_9("iPad13,9", "iPad Pro 12.9 inch 5th Gen", "iPad Pro 12.9 inch 5th Gen"),
    iPad13_10("iPad13,10", "iPad Pro 12.9 inch 5th Gen", "iPad Pro 12.9 inch 5th Gen"),
    iPad13_11("iPad13,11", "iPad Pro 12.9 inch 5th Gen", "iPad Pro 12.9 inch 5th Gen"),
    iPad13_16("iPad13,16", "iPad Air 5th Gen (WiFi)", "iPad Air 5th Gen (WiFi)"),
    iPad13_17("iPad13,17", "iPad Air 5th Gen (WiFi+Cellular)", "iPad Air 5th Gen (WiFi+Cellular)"),

    Watch1_1("Watch1,1", "Apple Watch 38mm case", "Apple Watch"),
    Watch1_2("Watch1,2", "Apple Watch 42mm case", "Apple Watch"),
    Watch2_6("Watch2,6", "Apple Watch Series 1 38mm case", "Apple Watch"),
    Watch2_7("Watch2,7", "Apple Watch Series 1 42mm case", "Apple Watch"),
    Watch2_3("Watch2,3", "Apple Watch Series 2 38mm case", "Apple Watch"),
    Watch2_4("Watch2,4", "Apple Watch Series 2 42mm case", "Apple Watch"),
    Watch3_1("Watch3,1", "Apple Watch Series 3 38mm case (GPS+Cellular)", "Apple Watch"),
    Watch3_2("Watch3,2", "Apple Watch Series 3 42mm case (GPS+Cellular)", "Apple Watch"),
    Watch3_3("Watch3,3", "Apple Watch Series 3 38mm case (GPS)", "Apple Watch"),
    Watch3_4("Watch3,4", "Apple Watch Series 3 42mm case (GPS)", "Apple Watch"),
    Watch4_1("Watch4,1", "Apple Watch Series 4 40mm case (GPS)", "Apple Watch"),
    Watch4_2("Watch4,2", "Apple Watch Series 4 44mm case (GPS)", "Apple Watch"),
    Watch4_3("Watch4,3", "Apple Watch Series 4 40mm case (GPS+Cellular)", "Apple Watch"),
    Watch4_4("Watch4,4", "Apple Watch Series 4 44mm case (GPS+Cellular)", "Apple Watch"),
    Watch5_1("Watch5,1", "Apple Watch Series 5 40mm case (GPS)", "Apple Watch"),
    Watch5_2("Watch5,2", "Apple Watch Series 5 44mm case (GPS)", "Apple Watch"),
    Watch5_3("Watch5,3", "Apple Watch Series 5 40mm case (GPS+Cellular)", "Apple Watch"),
    Watch5_4("Watch5,4", "Apple Watch Series 5 44mm case (GPS+Cellular)", "Apple Watch"),
    Watch5_9("Watch5,9", "Apple Watch SE 40mm case (GPS)", "Apple Watch"),
    Watch5_10("Watch5,10", "Apple Watch SE 44mm case (GPS)", "Apple Watch"),
    Watch5_11("Watch5,11", "Apple Watch SE 40mm case (GPS+Cellular)", "Apple Watch"),
    Watch5_12("Watch5,12", "Apple Watch SE 44mm case (GPS+Cellular)", "Apple Watch"),
    Watch6_1("Watch6,1", "Apple Watch Series 6 40mm case (GPS)", "Apple Watch"),
    Watch6_2("Watch6,2", "Apple Watch Series 6 44mm case (GPS)", "Apple Watch"),
    Watch6_3("Watch6,3", "Apple Watch Series 6 40mm case (GPS+Cellular)", "Apple Watch"),
    Watch6_4("Watch6,4", "Apple Watch Series 6 44mm case (GPS+Cellular)", "Apple Watch"),
    Watch6_6("Watch6,6", "Apple Watch Series 7 41mm case (GPS)", "Apple Watch"),
    Watch6_7("Watch6,7", "Apple Watch Series 7 45mm case (GPS)", "Apple Watch"),
    Watch6_8("Watch6,8", "Apple Watch Series 7 41mm case (GPS+Cellular)", "Apple Watch"),
    Watch6_9("Watch6,9", "Apple Watch Series 7 45mm case (GPS+Cellular)", "Apple Watch"),
}